Package org.eclipse.microprofile.metrics.tck.inheritance

## Class InheritedGaugeMethodBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.inheritance.InheritedGaugeMethodBeanTest

    public class InheritedGaugeMethodBeanTest
    extends Object

### Constructor Summary

Constructors
`InheritedGaugeMethodBeanTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `callGaugesAfterSetterCalls()`
`static org.jboss.shrinkwrap.api.Archive<?>` `createTestArchive()`
`void` `gaugesCalledWithDefaultValues()`
`void` `instantiateApplicationScopedBean()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InheritedGaugeMethodBeanTest

    public InheritedGaugeMethodBeanTest()

### Method Detail

#### createTestArchive

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<?> createTestArchive()

#### instantiateApplicationScopedBean

    public void instantiateApplicationScopedBean()

#### gaugesCalledWithDefaultValues

    @InSequence(1)
    public void gaugesCalledWithDefaultValues()

#### callGaugesAfterSetterCalls

    @InSequence(2)
    public void callGaugesAfterSetterCalls()